apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: addon-rancher-backup
  namespace: flux-system
spec:
  interval: 10m
  prune: true
  sourceRef:
    kind: GitRepository
    name: platform
  path: ./infrastructure/addons/rancher-backup
  timeout: 10m
  suspend: false
  dependsOn:
    - name: addon-external-secrets
    - name: addon-rancher
  wait: false
  healthChecks:
    - apiVersion: helm.toolkit.fluxcd.io/v2
      kind: HelmRelease
      name: rancher-backup
      namespace: flux-system
